subroutine fcn(n, w, f)
! Cu ecuatia-1
real(4) w(n),f(n)
common B1, B2, B3, C1, C2, c0, r21
common ieq
real ln


f =0.
x1 =w(1); x2 =w(2)

f(1)=B3 +r21*x2*(phi(x2) +C2) -x1*(phi(x1) +C1)
f(2)=x1 +x2 - c0

END